Available in🇮🇳 India
As a Technology Partner, you can allow sub-merchants on your platform to accept payments through various Payment Methods and channels.
Access Payment APIs using OAuth
Access Payment APIs using OAuth
You can process payments on behalf of your sub-merchants using Razorpay APIs. Use the tokens generated during OAuth integration.Use the The parameter descriptions and errors are present in the Create an Order API documentation.
access_token generated in the build integration step to authenticate using Bearer Auth.Below is a sample code to create an Order and process payments.POST /ordersPublic Token
Public Token
Using the Know more about Web Standard Integration.
public_token for authorisation can secure a public-facing implementation such as Razorpay Checkout. In such cases, the public_token can replace the key_id field as shown below:Checkout
Verify Payment Signature
Verify Payment Signature
This is a mandatory step to confirm the authenticity of the details returned to the Checkout form for successful payments.To verify the
razorpay_signature returned to you by the Checkout form:-
Create a signature in your server using the following attributes:
order_id: Retrieve theorder_idfrom your server. Do not use therazorpay_order_idreturned by Checkout.razorpay_payment_id: Returned by Checkout.client_secret: Available in your server. Theclient_secretthat was generated from the RazorpayDashboard.
-
Use the SHA256 algorithm, the
razorpay_payment_idand theorder_idto construct a HMAC hex digest as shown below:
HMAC Hex Digest
- If the signature you generate on your server matches the
razorpay_signaturereturned to you by the Checkout form, the payment received is from an authentic source.